DOU+ cost estimation
curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/douyin/douplus/calculate_cost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookie": "Your_Cookie_Here",
"sec_uid": "MS4wLjABAAAA9fe7vGjwyiaOjL6REhX8rvmSb32VzA_XsKca9F3_YSHRXlEqgT2cpX54WGbtgnsA",
"item_ids": "7651166972160446949",
"target_id": 31
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/douyin/douplus/calculate_cost"
payload = {
"cookie": "Your_Cookie_Here",
"sec_uid": "MS4wLjABAAAA9fe7vGjwyiaOjL6REhX8rvmSb32VzA_XsKca9F3_YSHRXlEqgT2cpX54WGbtgnsA",
"item_ids": "7651166972160446949",
"target_id": 31
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookie: 'Your_Cookie_Here',
sec_uid: 'MS4wLjABAAAA9fe7vGjwyiaOjL6REhX8rvmSb32VzA_XsKca9F3_YSHRXlEqgT2cpX54WGbtgnsA',
item_ids: '7651166972160446949',
target_id: 31
})
};
fetch('https://api.aisa.one/apis/v1/tikhub/douyin/douplus/calculate_cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Commercial
DOU+ cost estimation
DOU+ cost estimation
POST
/
tikhub
/
douyin
/
douplus
/
calculate_cost
DOU+ cost estimation
DOU+ cost estimation
Pricing — base $0.00145 per successful call (provider cost × 1.45; final charge scales by your plan multiplier). Charged only when the upstream response body
code is 200.
Response structure is not yet fully documented — refer to the actual API response.
Example
curl -X POST "https://api.aisa.one/apis/v1/tikhub/douyin/douplus/calculate_cost" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # see request schema below
Authorizations
AIsa API key. Get yours at https://aisa.one
Body
application/json
DOU+ 成本计算请求模型 DOU+ Cost Estimation Request Model
用户 www.douyin.com 网页版 Cookie/User www.douyin.com web Cookie
Example:
"Your_Cookie_Here"
投放账号的 sec_uid/Delivery account sec_uid
Example:
"MS4wLjABAAAA9fe7vGjwyiaOjL6REhX8rvmSb32VzA_XsKca9F3_YSHRXlEqgT2cpX54WGbtgnsA"
作品ID,多个用逗号分隔/Item id(s), comma separated
Example:
"7651166972160446949"
推广目标ID/Promotion target id. 31=点赞评论量, 32=粉丝量, 33=主页浏览量, 37=视频播放量, 45=评论链接点击, 78=高质量互动
Example:
31
Response
200
Successful response. 以实际调用为准 / Response structure varies; refer to the actual API response.